<template>
	<view :class="[AppTheme]" class="transmit">
		<view class="pop">
			<view class="video_blck">
				<yfsVideo :src="videoSrc"></yfsVideo>
			</view>
		</view>
		<admyself :opshow="true"></admyself>
	</view>
</template>
<script>
	import Api from '@/api/broadcast/index.js';
	import yfsVideo from '@/components/yfs-video/yfs-video.vue';
	export default {
		data() {
			return {
				primary: this.$theme.primary,
				videoSrc: '',
				title: '',
				settingFile: getApp().globalData.siteinfo
			};
		},
		components: {
			yfsVideo
		},
		onLoad(options) {
			let that = this;
			Api.getvideo({
				id: options.id
			}).then(res => {
				
				if (res.status == 200) {
					console.log(res.data)
					that.videoSrc = res.data.src;
					uni.setNavigationBarTitle({
						title: res.data.title,
						success: () => {
							console.log("修改标题成功")
						},
						fail: () => {
							console.log("修改标题失败")
						},
						complete: () => {
							console.log("修改标题结束")
						},
					})
					that.title = res.data.title;
				} else {
					that.$api.msg(res.msg);
					setTimeout(() => {
						uni.navigateBack({})
					}, 1000)
				}
			});
		},
		methods: {

		},
	};
</script>
<style lang="scss">
	page {
		width: 100%;
		height: 100%;
	}

	.transmit {
		width: 100%;
		height: 100%;

		.pop {
			top: 0;
			left: 0;
			width: 100%;

			.video_blck {
				width: 100%;
				height: 100%;
				justify-content: cener;
				align-items: center;
			}
		}

		.left_img {
			position: absolute;
			top: 80rpx;
			left: 25rpx;
			z-index: 9;

			image {
				width: 25rpx;
				height: 30rpx;
			}
		}
	}
</style>
